Ariane Soft PPL2 Pocket Programming DataMite

Go Back   ArianeSoft Forums > General > Chit-Chat

Reply
 
Thread Tools Search this Thread Display Modes
  #1  
Old 01-14-2010, 12:23 PM
Mike Halliday Mike Halliday is offline
Senior Member
 
Join Date: Sep 2007
Location: Warrington, United Kingdom
Posts: 821
Send a message via Skype™ to Mike Halliday
Thumbs up New PDA/Mobile device

I have bought a new device that will hopefully run PPL 1.x and 2.x

Maplin Electronics in the UK are offering the HIVision PW500a Mobile Internet Device for £69.99 (while stocks last)

http://www.maplin.co.uk/Module.aspx?...llers&T=286831

This is Windows CE 5.0, 128MB ram, 2GB Nand, up to 32GB SD card, Wifi and 5" wide screen (800 x 480) and 418Mhz CPU (Telechips 926 ARM)

I am investigating ways and hacks to get PPL working on it like I did with my old NavMan i520.

Will post the results as and when.

Mike.


<EDIT>

This is not looking good. I have been unable to get any PPL code running on this device. I cant understand it. I was able the run PPL compiled EXE's on the NavMani520 (CE5) without issue.

Keep getting exception errors when I run my EXEs. - This however also happens when I run programs written in eVB and C, so it could be some runtimes are missing from WCE5? - Will keep on trying as the more devices PPL runs on, the better it will be for all of us!

Last edited by Mike Halliday; 01-28-2010 at 12:35 PM.
Reply With Quote
  #2  
Old 01-31-2010, 11:14 AM
Mike Halliday Mike Halliday is offline
Senior Member
 
Join Date: Sep 2007
Location: Warrington, United Kingdom
Posts: 821
Send a message via Skype™ to Mike Halliday
Default Still no joy with PPL

Alain,

Do you know what system dll files are needed to run PPL on a mobile device?

I am still unable to run any PPL files on my Mobile Internet Device.

There must be plenty of dll file missing, but then again, other CE apps work fine.

Scratching head ... getting splinters
Reply With Quote
  #3  
Old 01-31-2010, 09:36 PM
Robotop Robotop is offline
Junior Member
 
Join Date: Apr 2009
Posts: 2
Default

Hello Mike. Have you tried to run such programs in the Microsoft Win CE 5 freeware emulator ? May be you can get useful information about the errors running that virtual machine. Bye
Reply With Quote
  #4  
Old 02-01-2010, 11:56 AM
Mike Halliday Mike Halliday is offline
Senior Member
 
Join Date: Sep 2007
Location: Warrington, United Kingdom
Posts: 821
Send a message via Skype™ to Mike Halliday
Default

Quote:
Originally Posted by Robotop View Post
Hello Mike. Have you tried to run such programs in the Microsoft Win CE 5 freeware emulator ? May be you can get useful information about the errors running that virtual machine. Bye
Its academic now anyway. My device has died and been returned to the shop for fixing or replacement.

Wont be able to try anything else for about a week now!
Reply With Quote
  #5  
Old 02-02-2010, 10:12 AM
Mike Halliday Mike Halliday is offline
Senior Member
 
Join Date: Sep 2007
Location: Warrington, United Kingdom
Posts: 821
Send a message via Skype™ to Mike Halliday
Default No luck with PPL on CE5

OK, so I have done some tests using the Windows CE5 emulator and nothing I compile in PPL will work on CE5. Get a 'program' is not a valid Windows CE application error message.

I have had PPL code working on Windows CE5 before (GUI Code for NAVMAN 520) but cant remember which version of PPL I used.

This is confusing as when I compiled the GUI code previously it worked fine on CE5, now, the same compiled code does not work in the emulator! :S

Alain, can you confirm what the lowest version of CE PPL should work with? I thought PocketPC2000 was earlier than CE?

I am compiling with V1.53 and have not tried V2 yet as I want to get one version working first.
Reply With Quote
  #6  
Old 02-02-2010, 03:05 PM
kornalius kornalius is offline
Administrator
 
Join Date: Apr 2006
Posts: 551
Default

PPL 1.60 and 2.0 are not compatible with PPC2000/2002 anymore. Only WM2003 and up. This could be the reason they are not working.
__________________
Regards,
Alain Deschenes
ArianeSoft Inc.
http://www.arianesoft.ca
Reply With Quote
  #7  
Old 02-02-2010, 03:09 PM
Mike Halliday Mike Halliday is offline
Senior Member
 
Join Date: Sep 2007
Location: Warrington, United Kingdom
Posts: 821
Send a message via Skype™ to Mike Halliday
Default

Quote:
Originally Posted by kornalius View Post
PPL 1.60 and 2.0 are not compatible with PPC2000/2002 anymore. Only WM2003 and up. This could be the reason they are not working.
I thought so, thats why I have uninstalled V1.6 and V2 and re-installed V1.53, but alas this does not work either.

Can't remember if I was on V1.3 or not when I last tested CE5?
Reply With Quote
  #8  
Old 02-03-2010, 12:35 PM
kornalius kornalius is offline
Administrator
 
Join Date: Apr 2006
Posts: 551
Default

I actually don't remember if 1.53 was compiled using my latest dev. tools or not. It's been a while. It is also possible 1.53 is WM2003 and up only as well.
__________________
Regards,
Alain Deschenes
ArianeSoft Inc.
http://www.arianesoft.ca
Reply With Quote
  #9  
Old 02-13-2010, 02:24 PM
Mike Halliday Mike Halliday is offline
Senior Member
 
Join Date: Sep 2007
Location: Warrington, United Kingdom
Posts: 821
Send a message via Skype™ to Mike Halliday
Angry

Quote:
Originally Posted by kornalius View Post
I actually don't remember if 1.53 was compiled using my latest dev. tools or not. It's been a while. It is also possible 1.53 is WM2003 and up only as well.
Ok,

so I have been playing around with this now for some time and still not getting anywhere, so I backtracked and looked at my code I released for the NavMan ICN520 satnav interface. Turns out that the ICN520 runs CE 4.2 and not 5.0 - There must be something significantly different with 4.2 over 5.0 that stops PPL stuff running.

Move investigations are being made with hopefully a positive result to follow?
Reply With Quote
  #10  
Old 02-25-2010, 08:47 AM
Mike Halliday Mike Halliday is offline
Senior Member
 
Join Date: Sep 2007
Location: Warrington, United Kingdom
Posts: 821
Send a message via Skype™ to Mike Halliday
Default

Does anyone have PPL v1.32??? I cant find it on my HDs and I want to try it to see if it will allow me to run PPL code on Windows CE 4.2. I think that V1.32 was the PPL I used when creating my SAT NAV gui a couple of years ago.

Thanks.
Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT. The time now is 03:03 PM.


Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2020, Jelsoft Enterprises Ltd.
Copyright (c) ArianeSoft Inc.
Copyright © 2009 www.ppl-lang.com - All rights reserved
Web Design by BR Web Consulting Ltd